Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngwutil.c File Reference

`#include "png.h"`

Include dependency graph for pngwutil.c:

## Compounds
struct | compression_state
## Defines
#define | PNG_INTERNAL
#define | PNG_MAXSUM (~((png_uint_32)0) >> 1)
#define | PNG_HISHIFT 10
#define | PNG_LOMASK ((png_uint_32)0xffffL)
#define | PNG_HIMASK ((png_uint_32)(~PNG_LOMASK >> PNG_HISHIFT))
## Functions
void | png_save_uint_32 (png_bytep buf, png_uint_32 i)
void | png_save_int_32 (png_bytep buf, png_int_32 i)
void | png_save_uint_16 (png_bytep buf, unsigned int i)
void | png_write_chunk (png_structp png_ptr, png_bytep chunk_name, png_bytep data, png_size_t length)
void | png_write_chunk_start (png_structp png_ptr, png_bytep chunk_name, png_uint_32 length)
void | png_write_chunk_data (png_structp png_ptr, png_bytep data, png_size_t length)
void | png_write_chunk_end (png_structp png_ptr)
void | png_write_sig (png_structp png_ptr)
int | png_text_compress (png_structp png_ptr, png_charp text, png_size_t text_len, int compression, compression_state *comp)
void | png_write_compressed_data_out (png_structp png_ptr, compression_state *comp)
void | png_write_IHDR (png_structp png_ptr, png_uint_32 width, png_uint_32 height, int bit_depth, int color_type, int compression_type, int filter_type, int interlace_type)
void | png_write_PLTE (png_structp png_ptr, png_colorp palette, png_uint_32 num_pal)
void | png_write_IDAT (png_structp png_ptr, png_bytep data, png_size_t length)
void | png_write_IEND (png_structp png_ptr)
void | png_write_gAMA (png_structp png_ptr, double file_gamma)
void | png_write_gAMA_fixed (png_structp png_ptr, png_fixed_point file_gamma)
void | png_write_sRGB (png_structp png_ptr, int srgb_intent)
void | png_write_iCCP (png_structp png_ptr, png_charp name, int compression_type, png_charp profile, int profile_len)
void | png_write_sPLT (png_structp png_ptr, png_sPLT_tp spalette)
void | png_write_sBIT (png_structp png_ptr, png_color_8p sbit, int color_type)
void | png_write_cHRM (png_structp png_ptr, double white_x, double white_y, double red_x, double red_y, double green_x, double green_y, double blue_x, double blue_y)
void | png_write_cHRM_fixed (png_structp png_ptr, png_fixed_point white_x, png_fixed_point white_y, png_fixed_point red_x, png_fixed_point red_y, png_fixed_point green_x, png_fixed_point green_y, png_fixed_point blue_x, png_fixed_point blue_y)
void | png_write_tRNS (png_structp png_ptr, png_bytep trans, png_color_16p tran, int num_trans, int color_type)
void | png_write_bKGD (png_structp png_ptr, png_color_16p back, int color_type)
void | png_write_hIST (png_structp png_ptr, png_uint_16p hist, int num_hist)
png_size_t | png_check_keyword (png_structp png_ptr, png_charp key, png_charpp new_key)
void | png_write_tEXt (png_structp png_ptr, png_charp key, png_charp text, png_size_t text_len)
void | png_write_zTXt (png_structp png_ptr, png_charp key, png_charp text, png_size_t text_len, int compression)
void | png_write_oFFs (png_structp png_ptr, png_int_32 x_offset, png_int_32 y_offset, int unit_type)
void | png_write_pCAL (png_structp png_ptr, png_charp purpose, png_int_32 X0, png_int_32 X1, int type, int nparams, png_charp units, png_charpp params)
void | png_write_sCAL (png_structp png_ptr, int unit, double width, double height)
void | png_write_pHYs (png_structp png_ptr, png_uint_32 x_pixels_per_unit, png_uint_32 y_pixels_per_unit, int unit_type)
void | png_write_tIME (png_structp png_ptr, png_timep mod_time)
void | png_write_start_row (png_structp png_ptr)
void | png_write_finish_row (png_structp png_ptr)
void | png_do_write_interlace (png_row_infop row_info, png_bytep row, int pass)
void | png_write_find_filter (png_structp png_ptr, png_row_infop row_info)
void | png_write_filtered_row (png_structp png_ptr, png_bytep filtered_row)

## Define Documentation

#define PNG_HIMASK ((png_uint_32)(~PNG_LOMASK >> PNG_HISHIFT))

#define PNG_HISHIFT 10

#define PNG_INTERNAL

#define PNG_LOMASK ((png_uint_32)0xffffL)

#define PNG_MAXSUM (~((png_uint_32)0) >> 1)

## Function Documentation

png_size_t png_check_keyword | ( | png_structp | png_ptr,
|  | png_charp | key,
|  | png_charpp | new_key
| ) |

void png_do_write_interlace | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | int | pass
| ) |

void png_save_int_32 | ( | png_bytep | buf,
|  | png_int_32 | i
| ) |

void png_save_uint_16 | ( | png_bytep | buf,
|  | unsigned int | i
| ) |

void png_save_uint_32 | ( | png_bytep | buf,
|  | png_uint_32 | i
| ) |

int png_text_compress | ( | png_structp | png_ptr,
|  | png_charp | text,
|  | png_size_t | text_len,
|  | int | compression,
|  | compression_state * | comp
| ) | `[static]`

void png_write_bKGD | ( | png_structp | png_ptr,
|  | png_color_16p | back,
|  | int | color_type
| ) |

void png_write_cHRM | ( | png_structp | png_ptr,
|  | double | white_x,
|  | double | white_y,
|  | double | red_x,
|  | double | red_y,
|  | double | green_x,
|  | double | green_y,
|  | double | blue_x,
|  | double | blue_y
| ) |

void png_write_cHRM_fixed | ( | png_structp | png_ptr,
|  | png_fixed_point | white_x,
|  | png_fixed_point | white_y,
|  | png_fixed_point | red_x,
|  | png_fixed_point | red_y,
|  | png_fixed_point | green_x,
|  | png_fixed_point | green_y,
|  | png_fixed_point | blue_x,
|  | png_fixed_point | blue_y
| ) |

void png_write_chunk | ( | png_structp | png_ptr,
|  | png_bytep | chunk_name,
|  | png_bytep | data,
|  | png_size_t | length
| ) |

void png_write_chunk_data | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | length
| ) |

void png_write_chunk_end | ( | png_structp | png_ptr | ) |

void png_write_chunk_start | ( | png_structp | png_ptr,
|  | png_bytep | chunk_name,
|  | png_uint_32 | length
| ) |

void png_write_compressed_data_out | ( | png_structp | png_ptr,
|  | compression_state * | comp
| ) | `[static]`

void png_write_filtered_row | ( | png_structp | png_ptr,
|  | png_bytep | filtered_row
| ) |

void png_write_find_filter | ( | png_structp | png_ptr,
|  | png_row_infop | row_info
| ) |

void png_write_finish_row | ( | png_structp | png_ptr | ) |

void png_write_gAMA | ( | png_structp | png_ptr,
|  | double | file_gamma
| ) |

void png_write_gAMA_fixed | ( | png_structp | png_ptr,
|  | png_fixed_point | file_gamma
| ) |

void png_write_hIST | ( | png_structp | png_ptr,
|  | png_uint_16p | hist,
|  | int | num_hist
| ) |

void png_write_iCCP | ( | png_structp | png_ptr,
|  | png_charp | name,
|  | int | compression_type,
|  | png_charp | profile,
|  | int | profile_len
| ) |

void png_write_IDAT | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | length
| ) |

void png_write_IEND | ( | png_structp | png_ptr | ) |

void png_write_IHDR | ( | png_structp | png_ptr,
|  | png_uint_32 | width,
|  | png_uint_32 | height,
|  | int | bit_depth,
|  | int | color_type,
|  | int | compression_type,
|  | int | filter_type,
|  | int | interlace_type
| ) |

void png_write_oFFs | ( | png_structp | png_ptr,
|  | png_int_32 | x_offset,
|  | png_int_32 | y_offset,
|  | int | unit_type
| ) |

void png_write_pCAL | ( | png_structp | png_ptr,
|  | png_charp | purpose,
|  | png_int_32 | X0,
|  | png_int_32 | X1,
|  | int | type,
|  | int | nparams,
|  | png_charp | units,
|  | png_charpp | params
| ) |

void png_write_pHYs | ( | png_structp | png_ptr,
|  | png_uint_32 | x_pixels_per_unit,
|  | png_uint_32 | y_pixels_per_unit,
|  | int | unit_type
| ) |

void png_write_PLTE | ( | png_structp | png_ptr,
|  | png_colorp | palette,
|  | png_uint_32 | num_pal
| ) |

void png_write_sBIT | ( | png_structp | png_ptr,
|  | png_color_8p | sbit,
|  | int | color_type
| ) |

void png_write_sCAL | ( | png_structp | png_ptr,
|  | int | unit,
|  | double | width,
|  | double | height
| ) |

void png_write_sig | ( | png_structp | png_ptr | ) |

void png_write_sPLT | ( | png_structp | png_ptr,
|  | png_sPLT_tp | spalette
| ) |

void png_write_sRGB | ( | png_structp | png_ptr,
|  | int | srgb_intent
| ) |

void png_write_start_row | ( | png_structp | png_ptr | ) |

void png_write_tEXt | ( | png_structp | png_ptr,
|  | png_charp | key,
|  | png_charp | text,
|  | png_size_t | text_len
| ) |

void png_write_tIME | ( | png_structp | png_ptr,
|  | png_timep | mod_time
| ) |

void png_write_tRNS | ( | png_structp | png_ptr,
|  | png_bytep | trans,
|  | png_color_16p | tran,
|  | int | num_trans,
|  | int | color_type
| ) |

void png_write_zTXt | ( | png_structp | png_ptr,
|  | png_charp | key,
|  | png_charp | text,
|  | png_size_t | text_len,
|  | int | compression
| ) |